WPML not installed and activated.

Vmware et kernel 3.10

By spl on 9 septembre 2013 in Côté serveur, Virtualisation
0
0

Les sources des modules vmware vmnet et vmblock livrés avec le bundle vmware linux ne « compilent » plus sous un kernel 3.10. Ce n’est pas lié à un header absent cette fois, mais bien à une incompatibilité du code avec le nouveau kernel.

Un patch existe pour la v9, au moins pour vmnet, il faudra à priori attendre la v10 pour du vmblock en kernel 3.10.

La manip pour patcher :

 

cd /tmp
tar xf /usr/lib/vmware/modules/source/vmnet.tar
cd vmnet-only/
# download du patch
wget https://communities.vmware.com/servlet/JiveServlet/download/2239207-108590/procfs.patch
patch -p1 < procfs.patch
make
cp vmnet.ko /lib/modules/`uname -r`/misc
emacs /etc/vmware/config
# mettre "no" pour le support vmblock
depmod -a
modprobe vmnet
/etc/init.d/vmware restart
# ça doit être OK
[EDIT] Sur le même sujet, mais aussi avec un patch pour vmblock généreusement fourni par la communauté Arch Linux, voir l’article de VirtuallyHelper

spl

About the Author

splView all posts by spl
Loading Facebook Comments ...

0 Comments